Save route
curl --request POST \
--url https://sandbox.tight.com/v6/mileage/{mileageId}/route \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "mrt_12345",
"waypoints": [
{
"lat": "38.8977",
"lng": "-77.0365"
}
],
"status": "ACTIVE",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
'import requests
url = "https://sandbox.tight.com/v6/mileage/{mileageId}/route"
payload = {
"id": "mrt_12345",
"waypoints": [
{
"lat": "38.8977",
"lng": "-77.0365"
}
],
"status": "ACTIVE",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'mrt_12345',
waypoints: [{lat: '38.8977', lng: '-77.0365'}],
status: 'ACTIVE',
customData: {internal_key: 'some_internal_key', some_other_field: 23434}
})
};
fetch('https://sandbox.tight.com/v6/mileage/{mileageId}/route', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "mrt_12345",
"waypoints": [
{
"lat": "38.8977",
"lng": "-77.0365"
}
],
"status": "ACTIVE",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Routes
Save route
Save a route for the given mileage
POST
/
v6
/
mileage
/
{mileageId}
/
route
Save route
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Id of the route, required when updating an existing route
Example:
"mrt_12345"
Show child attributes
Show child attributes
Status of the route
Available options:
ACTIVE, INACTIVE, REMOVED Example:
"ACTIVE"
Custom JSON in which you can store any data with max length of 2000 characters
Show child attributes
Show child attributes
Example:
{
"internal_key": "some_internal_key",
"some_other_field": 23434
}
⌘I